# Maintainer: Gordian Edenhofer <gordian.edenhofer@gmail.com>

pkgname=zoom
pkgver=5.16.10.668
pkgrel=1
pkgdesc="Video Conferencing and Web Conferencing Service"
arch=('x86_64')
license=('custom')
url="https://zoom.us/"
depends=('fontconfig' 'glib2' 'libpulse' 'libsm' 'ttf-font' 'libx11' 'libxcb'
    'libxcomposite' 'libxfixes' 'libxi' 'libxcursor' 'libxkbcommon-x11'
    'libxrandr' 'libxrender' 'libxshmfence' 'libxslt' 'mesa' 'nss'
    'pulseaudio-alsa' 'xcb-util-image' 'xcb-util-keysyms')
optdepends=('qt5-webengine: SSO login support'
			'picom: extra compositor needed by some window managers for screen sharing'
			'xcompmgr: extra compositor needed by some window managers for screen sharing')
options=(!strip)
source=("${pkgname}-${pkgver}_orig_x86_64.pkg.tar.xz"::"https://cdn.zoom.us/prod/${pkgver}/zoom_x86_64.pkg.tar.xz")
sha512sums=('cfd553cbb3427cdee0225c8737eb89125b893d9dd8dbf33db6949a04772082d782452a04858190503e2ec37b85d40d371593a52aa86ef451c6aa0f70594bbd91')

prepare() {
	sed -e 's/Zoom\.png/Zoom/g' \
        -e 's@/usr/bin/zoom@zoom@' \
        -i "${srcdir}/usr/share/applications/Zoom.desktop"
}

package() {
	cp -dpr --no-preserve=ownership opt usr "${pkgdir}"
}
